commit 6bc375b4655da856e6b03b5878b52800fde1aa48
Author: Serghei Mihai <smihai@entrouvert.com>
Date:   Fri May 29 17:17:49 2015 +0200

    translations updates (#7385)

diff --git a/i18n/bg/LC_MESSAGES/ckanext.po b/i18n/bg/LC_MESSAGES/ckanext.po
index c4c7a02..51ffc6e 100644
--- a/i18n/bg/LC_MESSAGES/ckanext.po
+++ b/i18n/bg/LC_MESSAGES/ckanext.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-05-27 16:03+0200\n"
+"POT-Creation-Date: 2015-05-29 17:14+0200\n"
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: bg <LL@li.org>\n"
@@ -20,56 +20,56 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:9
 msgid "Common goods factory"
-msgstr ""
+msgstr "Създател на общи ползи"
 
 #: ckanext/ozwillo_theme/templates/footer.html:20
 #: ckanext/ozwillo_theme/templates/header.html:35
 #: ckanext/ozwillo_theme/templates/header.html:88
 msgid "News"
-msgstr ""
+msgstr "Новини"
 
 #: ckanext/ozwillo_theme/templates/footer.html:21
 msgid "Discovering"
-msgstr ""
+msgstr "Изучаване"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 #: ckanext/ozwillo_theme/templates/header.html:89
 msgid "Co-construct"
-msgstr ""
+msgstr "Съвместно изграждане "
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:90
 msgid "Let's go"
-msgstr ""
+msgstr "Стартиране "
 
 #: ckanext/ozwillo_theme/templates/footer.html:27
 msgid "Contact"
-msgstr ""
+msgstr "Връзки"
 
 #: ckanext/ozwillo_theme/templates/footer.html:28
 msgid "Project team"
-msgstr ""
+msgstr "Екипът на проекта "
 
 #: ckanext/ozwillo_theme/templates/footer.html:29
 #: ckanext/ozwillo_theme/templates/header.html:91
 msgid "Projects"
-msgstr ""
+msgstr "Проекти"
 
 #: ckanext/ozwillo_theme/templates/footer.html:35
 msgid "User guide"
-msgstr ""
+msgstr "Ръководство на потребителя"
 
 #: ckanext/ozwillo_theme/templates/footer.html:36
 msgid "Developers"
-msgstr ""
+msgstr "Pазработчиците"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "Legal Notices"
-msgstr ""
+msgstr "Правни бележки"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "Условия за ползване "
 
 #: ckanext/ozwillo_theme/templates/header.html:11
 #: ckanext/ozwillo_theme/templates/header.html:52
@@ -80,14 +80,14 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:15
 #: ckanext/ozwillo_theme/templates/header.html:55
 msgid "Catalog"
-msgstr ""
+msgstr "Каталог"
 
 #: ckanext/ozwillo_theme/templates/header.html:19
 #: ckanext/ozwillo_theme/templates/header.html:27
 #: ckanext/ozwillo_theme/templates/header.html:59
 #: ckanext/ozwillo_theme/templates/header.html:69
 msgid "Data"
-msgstr ""
+msgstr "данни"
 
 #: ckanext/ozwillo_theme/templates/header.html:21
 #: ckanext/ozwillo_theme/templates/header.html:62
@@ -109,7 +109,7 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:32
 #: ckanext/ozwillo_theme/templates/header.html:85
 msgid "Discover"
-msgstr ""
+msgstr "Изучаване"
 
 #: ckanext/ozwillo_theme/templates/header.html:39
 #: ckanext/ozwillo_theme/templates/header.html:80
@@ -119,11 +119,11 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:41
 #: ckanext/ozwillo_theme/templates/header.html:82
 msgid "Log in"
-msgstr ""
+msgstr "Вход"
 
 #: ckanext/ozwillo_theme/templates/header.html:87
 msgid "Discovering the Platform"
-msgstr ""
+msgstr "Изучаване на платформата"
 
 #: ckanext/ozwillo_theme/templates/page.html:6
 msgid "Skip to content"
diff --git a/i18n/ca/LC_MESSAGES/ckanext.po b/i18n/ca/LC_MESSAGES/ckanext.po
index 39341dd..6d4304d 100644
--- a/i18n/ca/LC_MESSAGES/ckanext.po
+++ b/i18n/ca/LC_MESSAGES/ckanext.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-05-27 16:03+0200\n"
+"POT-Creation-Date: 2015-05-29 17:14+0200\n"
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: ca <LL@li.org>\n"
@@ -20,56 +20,56 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:9
 msgid "Common goods factory"
-msgstr ""
+msgstr "La fàbrica del bé comú digital"
 
 #: ckanext/ozwillo_theme/templates/footer.html:20
 #: ckanext/ozwillo_theme/templates/header.html:35
 #: ckanext/ozwillo_theme/templates/header.html:88
 msgid "News"
-msgstr ""
+msgstr "Noticies"
 
 #: ckanext/ozwillo_theme/templates/footer.html:21
 msgid "Discovering"
-msgstr ""
+msgstr "Descobrint"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 #: ckanext/ozwillo_theme/templates/header.html:89
 msgid "Co-construct"
-msgstr ""
+msgstr "Co-construcció"
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:90
 msgid "Let's go"
-msgstr ""
+msgstr "Posada en marxa"
 
 #: ckanext/ozwillo_theme/templates/footer.html:27
 msgid "Contact"
-msgstr ""
+msgstr "Contactes"
 
 #: ckanext/ozwillo_theme/templates/footer.html:28
 msgid "Project team"
-msgstr ""
+msgstr "L'equip del Projecte"
 
 #: ckanext/ozwillo_theme/templates/footer.html:29
 #: ckanext/ozwillo_theme/templates/header.html:91
 msgid "Projects"
-msgstr ""
+msgstr "Projectes"
 
 #: ckanext/ozwillo_theme/templates/footer.html:35
 msgid "User guide"
-msgstr ""
+msgstr "Manuals d'usuari"
 
 #: ckanext/ozwillo_theme/templates/footer.html:36
 msgid "Developers"
-msgstr ""
+msgstr "Desenvolupadors"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "Legal Notices"
-msgstr ""
+msgstr "Notes Legals"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "Condicions d'ús"
 
 #: ckanext/ozwillo_theme/templates/header.html:11
 #: ckanext/ozwillo_theme/templates/header.html:52
@@ -80,14 +80,14 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:15
 #: ckanext/ozwillo_theme/templates/header.html:55
 msgid "Catalog"
-msgstr ""
+msgstr "Botiga"
 
 #: ckanext/ozwillo_theme/templates/header.html:19
 #: ckanext/ozwillo_theme/templates/header.html:27
 #: ckanext/ozwillo_theme/templates/header.html:59
 #: ckanext/ozwillo_theme/templates/header.html:69
 msgid "Data"
-msgstr ""
+msgstr "Dades"
 
 #: ckanext/ozwillo_theme/templates/header.html:21
 #: ckanext/ozwillo_theme/templates/header.html:62
@@ -109,7 +109,7 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:32
 #: ckanext/ozwillo_theme/templates/header.html:85
 msgid "Discover"
-msgstr ""
+msgstr "Descobrint"
 
 #: ckanext/ozwillo_theme/templates/header.html:39
 #: ckanext/ozwillo_theme/templates/header.html:80
@@ -119,11 +119,11 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:41
 #: ckanext/ozwillo_theme/templates/header.html:82
 msgid "Log in"
-msgstr ""
+msgstr "Entrar"
 
 #: ckanext/ozwillo_theme/templates/header.html:87
 msgid "Discovering the Platform"
-msgstr ""
+msgstr "Descobrint la plataforma"
 
 #: ckanext/ozwillo_theme/templates/page.html:6
 msgid "Skip to content"
diff --git a/i18n/es/LC_MESSAGES/ckanext.po b/i18n/es/LC_MESSAGES/ckanext.po
index 195c4f3..5cb13f9 100644
--- a/i18n/es/LC_MESSAGES/ckanext.po
+++ b/i18n/es/LC_MESSAGES/ckanext.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-05-27 16:03+0200\n"
+"POT-Creation-Date: 2015-05-29 17:14+0200\n"
 "PO-Revision-Date: 2015-02-03 14:19+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: es <LL@li.org>\n"
@@ -20,56 +20,56 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:9
 msgid "Common goods factory"
-msgstr ""
+msgstr "La fábrica del bien común digital"
 
 #: ckanext/ozwillo_theme/templates/footer.html:20
 #: ckanext/ozwillo_theme/templates/header.html:35
 #: ckanext/ozwillo_theme/templates/header.html:88
 msgid "News"
-msgstr ""
+msgstr "Noticias"
 
 #: ckanext/ozwillo_theme/templates/footer.html:21
 msgid "Discovering"
-msgstr ""
+msgstr "Descubriendo"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 #: ckanext/ozwillo_theme/templates/header.html:89
 msgid "Co-construct"
-msgstr ""
+msgstr "Co-construcción"
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:90
 msgid "Let's go"
-msgstr ""
+msgstr "Puesta en marcha"
 
 #: ckanext/ozwillo_theme/templates/footer.html:27
 msgid "Contact"
-msgstr ""
+msgstr "Contactos"
 
 #: ckanext/ozwillo_theme/templates/footer.html:28
 msgid "Project team"
-msgstr ""
+msgstr "El equipo del proyecto"
 
 #: ckanext/ozwillo_theme/templates/footer.html:29
 #: ckanext/ozwillo_theme/templates/header.html:91
 msgid "Projects"
-msgstr ""
+msgstr " Proyectos"
 
 #: ckanext/ozwillo_theme/templates/footer.html:35
 msgid "User guide"
-msgstr ""
+msgstr "Manuales de usuario"
 
 #: ckanext/ozwillo_theme/templates/footer.html:36
 msgid "Developers"
-msgstr ""
+msgstr "Desarrolladores"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "Legal Notices"
-msgstr ""
+msgstr "Notas legales"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "Condiciones de uso"
 
 #: ckanext/ozwillo_theme/templates/header.html:11
 #: ckanext/ozwillo_theme/templates/header.html:52
@@ -80,14 +80,14 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:15
 #: ckanext/ozwillo_theme/templates/header.html:55
 msgid "Catalog"
-msgstr ""
+msgstr "Tienda"
 
 #: ckanext/ozwillo_theme/templates/header.html:19
 #: ckanext/ozwillo_theme/templates/header.html:27
 #: ckanext/ozwillo_theme/templates/header.html:59
 #: ckanext/ozwillo_theme/templates/header.html:69
 msgid "Data"
-msgstr ""
+msgstr "Dato"
 
 #: ckanext/ozwillo_theme/templates/header.html:21
 #: ckanext/ozwillo_theme/templates/header.html:62
@@ -109,7 +109,7 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:32
 #: ckanext/ozwillo_theme/templates/header.html:85
 msgid "Discover"
-msgstr ""
+msgstr "Descubriendo"
 
 #: ckanext/ozwillo_theme/templates/header.html:39
 #: ckanext/ozwillo_theme/templates/header.html:80
@@ -119,11 +119,11 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:41
 #: ckanext/ozwillo_theme/templates/header.html:82
 msgid "Log in"
-msgstr ""
+msgstr "Entrar"
 
 #: ckanext/ozwillo_theme/templates/header.html:87
 msgid "Discovering the Platform"
-msgstr ""
+msgstr "Descubriendo la plataforma"
 
 #: ckanext/ozwillo_theme/templates/page.html:6
 msgid "Skip to content"
diff --git a/i18n/fr/LC_MESSAGES/ckanext.po b/i18n/fr/LC_MESSAGES/ckanext.po
index 8efcfb4..4a4e145 100644
--- a/i18n/fr/LC_MESSAGES/ckanext.po
+++ b/i18n/fr/LC_MESSAGES/ckanext.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-05-27 16:03+0200\n"
+"POT-Creation-Date: 2015-05-29 17:14+0200\n"
 "PO-Revision-Date: 2015-02-03 14:23+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: fr <LL@li.org>\n"
@@ -20,74 +20,74 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:9
 msgid "Common goods factory"
-msgstr ""
+msgstr "Fabrique de biens communs"
 
 #: ckanext/ozwillo_theme/templates/footer.html:20
 #: ckanext/ozwillo_theme/templates/header.html:35
 #: ckanext/ozwillo_theme/templates/header.html:88
 msgid "News"
-msgstr ""
+msgstr "Actualités"
 
 #: ckanext/ozwillo_theme/templates/footer.html:21
 msgid "Discovering"
-msgstr ""
+msgstr "Découvrir"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 #: ckanext/ozwillo_theme/templates/header.html:89
 msgid "Co-construct"
-msgstr ""
+msgstr "Co-construire"
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:90
 msgid "Let's go"
-msgstr ""
+msgstr "Se lancer"
 
 #: ckanext/ozwillo_theme/templates/footer.html:27
 msgid "Contact"
-msgstr ""
+msgstr "Contact"
 
 #: ckanext/ozwillo_theme/templates/footer.html:28
 msgid "Project team"
-msgstr ""
+msgstr "Projets"
 
 #: ckanext/ozwillo_theme/templates/footer.html:29
 #: ckanext/ozwillo_theme/templates/header.html:91
 msgid "Projects"
-msgstr ""
+msgstr "Projets"
 
 #: ckanext/ozwillo_theme/templates/footer.html:35
 msgid "User guide"
-msgstr ""
+msgstr "Guide utilisateur"
 
 #: ckanext/ozwillo_theme/templates/footer.html:36
 msgid "Developers"
-msgstr ""
+msgstr "Développeurs"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "Legal Notices"
-msgstr ""
+msgstr "Mentions légales"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "CGU"
 
 #: ckanext/ozwillo_theme/templates/header.html:11
 #: ckanext/ozwillo_theme/templates/header.html:52
 #: ckanext/ozwillo_theme/templates/header.html:61
 msgid "Home"
-msgstr ""
+msgstr "Accueil"
 
 #: ckanext/ozwillo_theme/templates/header.html:15
 #: ckanext/ozwillo_theme/templates/header.html:55
 msgid "Catalog"
-msgstr ""
+msgstr "Catalogue"
 
 #: ckanext/ozwillo_theme/templates/header.html:19
 #: ckanext/ozwillo_theme/templates/header.html:27
 #: ckanext/ozwillo_theme/templates/header.html:59
 #: ckanext/ozwillo_theme/templates/header.html:69
 msgid "Data"
-msgstr ""
+msgstr "Données"
 
 #: ckanext/ozwillo_theme/templates/header.html:21
 #: ckanext/ozwillo_theme/templates/header.html:62
@@ -109,7 +109,7 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:32
 #: ckanext/ozwillo_theme/templates/header.html:85
 msgid "Discover"
-msgstr ""
+msgstr "Découvrir"
 
 #: ckanext/ozwillo_theme/templates/header.html:39
 #: ckanext/ozwillo_theme/templates/header.html:80
@@ -119,11 +119,11 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:41
 #: ckanext/ozwillo_theme/templates/header.html:82
 msgid "Log in"
-msgstr ""
+msgstr "Connexion"
 
 #: ckanext/ozwillo_theme/templates/header.html:87
 msgid "Discovering the Platform"
-msgstr ""
+msgstr "Découvrir la plateforme"
 
 #: ckanext/ozwillo_theme/templates/page.html:6
 msgid "Skip to content"
diff --git a/i18n/it/LC_MESSAGES/ckanext.po b/i18n/it/LC_MESSAGES/ckanext.po
index f715e9a..c8ffb85 100644
--- a/i18n/it/LC_MESSAGES/ckanext.po
+++ b/i18n/it/LC_MESSAGES/ckanext.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-05-27 16:03+0200\n"
+"POT-Creation-Date: 2015-05-29 17:14+0200\n"
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: it <LL@li.org>\n"
@@ -20,56 +20,56 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:9
 msgid "Common goods factory"
-msgstr ""
+msgstr "Una fucina di beni comuni"
 
 #: ckanext/ozwillo_theme/templates/footer.html:20
 #: ckanext/ozwillo_theme/templates/header.html:35
 #: ckanext/ozwillo_theme/templates/header.html:88
 msgid "News"
-msgstr ""
+msgstr "Novità"
 
 #: ckanext/ozwillo_theme/templates/footer.html:21
 msgid "Discovering"
-msgstr ""
+msgstr "Scoprire"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 #: ckanext/ozwillo_theme/templates/header.html:89
 msgid "Co-construct"
-msgstr ""
+msgstr "Costruire collaborativamente"
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:90
 msgid "Let's go"
-msgstr ""
+msgstr "Iniziare"
 
 #: ckanext/ozwillo_theme/templates/footer.html:27
 msgid "Contact"
-msgstr ""
+msgstr "Contatti"
 
 #: ckanext/ozwillo_theme/templates/footer.html:28
 msgid "Project team"
-msgstr ""
+msgstr "Il team di progetto"
 
 #: ckanext/ozwillo_theme/templates/footer.html:29
 #: ckanext/ozwillo_theme/templates/header.html:91
 msgid "Projects"
-msgstr ""
+msgstr "Progetti"
 
 #: ckanext/ozwillo_theme/templates/footer.html:35
 msgid "User guide"
-msgstr ""
+msgstr "Manuale utente"
 
 #: ckanext/ozwillo_theme/templates/footer.html:36
 msgid "Developers"
-msgstr ""
+msgstr "Sviluppatori"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "Legal Notices"
-msgstr ""
+msgstr "Avvisi legali"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "Termini di utilizzo"
 
 #: ckanext/ozwillo_theme/templates/header.html:11
 #: ckanext/ozwillo_theme/templates/header.html:52
@@ -80,14 +80,14 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:15
 #: ckanext/ozwillo_theme/templates/header.html:55
 msgid "Catalog"
-msgstr ""
+msgstr "Catalogo"
 
 #: ckanext/ozwillo_theme/templates/header.html:19
 #: ckanext/ozwillo_theme/templates/header.html:27
 #: ckanext/ozwillo_theme/templates/header.html:59
 #: ckanext/ozwillo_theme/templates/header.html:69
 msgid "Data"
-msgstr ""
+msgstr "Dati"
 
 #: ckanext/ozwillo_theme/templates/header.html:21
 #: ckanext/ozwillo_theme/templates/header.html:62
@@ -109,7 +109,7 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:32
 #: ckanext/ozwillo_theme/templates/header.html:85
 msgid "Discover"
-msgstr ""
+msgstr "Scoprire"
 
 #: ckanext/ozwillo_theme/templates/header.html:39
 #: ckanext/ozwillo_theme/templates/header.html:80
@@ -119,11 +119,11 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:41
 #: ckanext/ozwillo_theme/templates/header.html:82
 msgid "Log in"
-msgstr ""
+msgstr "Entra"
 
 #: ckanext/ozwillo_theme/templates/header.html:87
 msgid "Discovering the Platform"
-msgstr ""
+msgstr "Scoprire la Piattaforma"
 
 #: ckanext/ozwillo_theme/templates/page.html:6
 msgid "Skip to content"
diff --git a/i18n/tr/LC_MESSAGES/ckanext.po b/i18n/tr/LC_MESSAGES/ckanext.po
index 05df0e8..6632dd5 100644
--- a/i18n/tr/LC_MESSAGES/ckanext.po
+++ b/i18n/tr/LC_MESSAGES/ckanext.po
@@ -8,7 +8,7 @@ msgid ""
 msgstr ""
 "Project-Id-Version: ckanext-ozwillo-theme 0.0.1\n"
 "Report-Msgid-Bugs-To: EMAIL@ADDRESS\n"
-"POT-Creation-Date: 2015-05-27 16:03+0200\n"
+"POT-Creation-Date: 2015-05-29 17:14+0200\n"
 "PO-Revision-Date: 2015-02-03 14:30+0100\n"
 "Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
 "Language-Team: tr <LL@li.org>\n"
@@ -20,56 +20,56 @@ msgstr ""
 
 #: ckanext/ozwillo_theme/templates/footer.html:9
 msgid "Common goods factory"
-msgstr ""
+msgstr "Ortak fayda üretim merkezi"
 
 #: ckanext/ozwillo_theme/templates/footer.html:20
 #: ckanext/ozwillo_theme/templates/header.html:35
 #: ckanext/ozwillo_theme/templates/header.html:88
 msgid "News"
-msgstr ""
+msgstr "Haberler"
 
 #: ckanext/ozwillo_theme/templates/footer.html:21
 msgid "Discovering"
-msgstr ""
+msgstr "Eşfetmek"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 #: ckanext/ozwillo_theme/templates/header.html:89
 msgid "Co-construct"
-msgstr ""
+msgstr "Birlikte inşa etmek"
 
 #: ckanext/ozwillo_theme/templates/footer.html:23
 #: ckanext/ozwillo_theme/templates/header.html:90
 msgid "Let's go"
-msgstr ""
+msgstr "Başlatmak"
 
 #: ckanext/ozwillo_theme/templates/footer.html:27
 msgid "Contact"
-msgstr ""
+msgstr "İletişm"
 
 #: ckanext/ozwillo_theme/templates/footer.html:28
 msgid "Project team"
-msgstr ""
+msgstr "Proje Ekibi"
 
 #: ckanext/ozwillo_theme/templates/footer.html:29
 #: ckanext/ozwillo_theme/templates/header.html:91
 msgid "Projects"
-msgstr ""
+msgstr "Projeler"
 
 #: ckanext/ozwillo_theme/templates/footer.html:35
 msgid "User guide"
-msgstr ""
+msgstr "Kulanıcı Kılavuzu"
 
 #: ckanext/ozwillo_theme/templates/footer.html:36
 msgid "Developers"
-msgstr ""
+msgstr "Geliştiriciler"
 
 #: ckanext/ozwillo_theme/templates/footer.html:37
 msgid "Legal Notices"
-msgstr ""
+msgstr "Yasal Uyarılar"
 
 #: ckanext/ozwillo_theme/templates/footer.html:38
 msgid "General terms of use"
-msgstr ""
+msgstr "Kullanım Şartları"
 
 #: ckanext/ozwillo_theme/templates/header.html:11
 #: ckanext/ozwillo_theme/templates/header.html:52
@@ -80,14 +80,14 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:15
 #: ckanext/ozwillo_theme/templates/header.html:55
 msgid "Catalog"
-msgstr ""
+msgstr "Katalog"
 
 #: ckanext/ozwillo_theme/templates/header.html:19
 #: ckanext/ozwillo_theme/templates/header.html:27
 #: ckanext/ozwillo_theme/templates/header.html:59
 #: ckanext/ozwillo_theme/templates/header.html:69
 msgid "Data"
-msgstr ""
+msgstr "Veri"
 
 #: ckanext/ozwillo_theme/templates/header.html:21
 #: ckanext/ozwillo_theme/templates/header.html:62
@@ -109,7 +109,7 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:32
 #: ckanext/ozwillo_theme/templates/header.html:85
 msgid "Discover"
-msgstr ""
+msgstr "Keşfedin"
 
 #: ckanext/ozwillo_theme/templates/header.html:39
 #: ckanext/ozwillo_theme/templates/header.html:80
@@ -119,11 +119,11 @@ msgstr ""
 #: ckanext/ozwillo_theme/templates/header.html:41
 #: ckanext/ozwillo_theme/templates/header.html:82
 msgid "Log in"
-msgstr ""
+msgstr "Giriş"
 
 #: ckanext/ozwillo_theme/templates/header.html:87
 msgid "Discovering the Platform"
-msgstr ""
+msgstr "Platformu Keşfetmek"
 
 #: ckanext/ozwillo_theme/templates/page.html:6
 msgid "Skip to content"