commit a03943d203441a87ea9c01f383d451dfc921bdd2
Author: Jared Dillard <jdillard@pfsense.com>
Date:   Mon Aug 18 19:13:52 2014 -0500

    make gold link more visable

diff --git a/usr/local/www/fbegin.inc b/usr/local/www/fbegin.inc
index 4710c29fd..6f3f2217f 100755
--- a/usr/local/www/fbegin.inc
+++ b/usr/local/www/fbegin.inc
@@ -336,14 +336,6 @@ if(! $g['disablehelpmenu']) {
 						?>
 						</ul>
 					</li>
-					<li class="drop">
-						<div><?php echo gettext("Gold"); ?></div>
-						<ul id="diag" class="subdrop">
-						<?php
-							output_menu($gold_menu, "_blank");
-						?>
-						</ul>
-					</li>
 					<?php if(! $g['disablehelpmenu']): ?>
 					<li class="lastdrop">
 						<div><?php echo gettext("Help"); ?></div>
@@ -354,6 +346,9 @@ if(! $g['disablehelpmenu']) {
 						</ul>
 					</li>
 					<?php endif; ?>
+					<li class="drop">
+						<div><a href="https://www.pfsense.org/gold/"><?php echo gettext("Gold"); ?></a></div>
+					</li>
 				</ul>
 			</div>
 
diff --git a/usr/local/www/themes/code-red/all.css b/usr/local/www/themes/code-red/all.css
index a68d44dd9..255307459 100644
--- a/usr/local/www/themes/code-red/all.css
+++ b/usr/local/www/themes/code-red/all.css
@@ -153,6 +153,7 @@ form {
 }
 a {
 	text-decoration: none;
+	color: #000000;
 }
 form input {
 	font-size: 1.1em;
diff --git a/usr/local/www/themes/metallic/all.css b/usr/local/www/themes/metallic/all.css
index 47b6b9823..f49f3739f 100644
--- a/usr/local/www/themes/metallic/all.css
+++ b/usr/local/www/themes/metallic/all.css
@@ -141,6 +141,7 @@ form {
 }
 a {
 	text-decoration: none;
+	color: #000000;
 }
 form input {
 	font-size: 1.1em;
diff --git a/usr/local/www/themes/nervecenter/all.css b/usr/local/www/themes/nervecenter/all.css
index 541861a26..904881339 100644
--- a/usr/local/www/themes/nervecenter/all.css
+++ b/usr/local/www/themes/nervecenter/all.css
@@ -427,7 +427,7 @@ table#marquee div#container div#scroller {
 	text-decoration: none;
 }
 
-#navigation ul li {
+#navigation ul li, #navigation ul li a {
 	background-color: transparent;
 	color: #FFF;
 }
diff --git a/usr/local/www/themes/pfsense-dropdown/all.css b/usr/local/www/themes/pfsense-dropdown/all.css
index e0f1c464a..6765daf40 100644
--- a/usr/local/www/themes/pfsense-dropdown/all.css
+++ b/usr/local/www/themes/pfsense-dropdown/all.css
@@ -75,6 +75,7 @@ form {
 }
 a {
 	text-decoration: none;
+	color:#000000;
 }
 form input {
 	font-size: 1.1em;
diff --git a/usr/local/www/themes/pfsense-dropdown/images/menu.gif b/usr/local/www/themes/pfsense-dropdown/images/menu.gif
index 726921085..1f7ea77de 100755
Binary files a/usr/local/www/themes/pfsense-dropdown/images/menu.gif and b/usr/local/www/themes/pfsense-dropdown/images/menu.gif differ
diff --git a/usr/local/www/themes/pfsense_ng/all.css b/usr/local/www/themes/pfsense_ng/all.css
index 80dd171ff..575439be6 100644
--- a/usr/local/www/themes/pfsense_ng/all.css
+++ b/usr/local/www/themes/pfsense_ng/all.css
@@ -150,15 +150,15 @@ body {
   background-color: #7f7f7f;
 }
 a:link {
-	color: #550000;
+	color: #000000;
 }
 
 a:visited {
-	color: #550000;
+	color: #000000;
 }
 
 a:active {
-	color: #550000;
+	color: #000000;
 }
 
 a:hover {
@@ -428,7 +428,7 @@ table#marquee div#container div#scroller {
 #navigation ul li {
 	float: left;
 	position: relative;
-	width: 6.2em;
+	padding-right: 27px;
 	top: 0px;
 }
 
@@ -511,6 +511,11 @@ table#marquee div#container div#scroller {
 	background-repeat: no-repeat;
 }
 
+#navigation ul li:last-child div, #navigation ul li:last-child:hover div {
+	background-image: none;
+	font-weight: bold;
+}
+
 #navigation ul li {
 	background-color: transparent;
 	color: #000000;
diff --git a/usr/local/www/themes/pfsense_ng/images/alert_bgr.png b/usr/local/www/themes/pfsense_ng/images/alert_bgr.png
index 5a8ac81b7..b95b83be8 100755
Binary files a/usr/local/www/themes/pfsense_ng/images/alert_bgr.png and b/usr/local/www/themes/pfsense_ng/images/alert_bgr.png differ
diff --git a/usr/local/www/themes/pfsense_ng/images/header.png b/usr/local/www/themes/pfsense_ng/images/header.png
index 6f8128ca7..a8c0e05a4 100755
Binary files a/usr/local/www/themes/pfsense_ng/images/header.png and b/usr/local/www/themes/pfsense_ng/images/header.png differ
diff --git a/usr/local/www/themes/pfsense_ng_fs/all.css b/usr/local/www/themes/pfsense_ng_fs/all.css
index c0898e949..7f70c6755 100644
--- a/usr/local/www/themes/pfsense_ng_fs/all.css
+++ b/usr/local/www/themes/pfsense_ng_fs/all.css
@@ -142,15 +142,15 @@ div.niceTitle p
 }
 
 a:link {
-	color: #550000;
+	color: #000000;
 }
 
 a:visited {
-	color: #550000;
+	color: #000000;
 }
 
 a:active {
-	color: #550000;
+	color: #000000;
 }
 
 a:hover {
@@ -389,7 +389,7 @@ table#marquee div#container div#scroller {
 #navigation ul li {
 	float: left;
 	position: relative;
-	width: 6.2em;
+	padding-right: 27px;
 	top: 0px;
 }
 
@@ -472,6 +472,11 @@ table#marquee div#container div#scroller {
 	background-repeat: no-repeat;
 }
 
+#navigation ul li:last-child div, #navigation ul li:last-child:hover div {
+	background-image: none;
+	font-weight: bold;
+}
+
 #navigation ul li {
 	background-color: transparent;
 	color: #000000;
diff --git a/usr/local/www/themes/pfsense_ng_fs/images/alert_bgr.png b/usr/local/www/themes/pfsense_ng_fs/images/alert_bgr.png
index 5a8ac81b7..b95b83be8 100755
Binary files a/usr/local/www/themes/pfsense_ng_fs/images/alert_bgr.png and b/usr/local/www/themes/pfsense_ng_fs/images/alert_bgr.png differ
diff --git a/usr/local/www/themes/pfsense_ng_fs/images/header.png b/usr/local/www/themes/pfsense_ng_fs/images/header.png
index 6f8128ca7..a8c0e05a4 100755
Binary files a/usr/local/www/themes/pfsense_ng_fs/images/header.png and b/usr/local/www/themes/pfsense_ng_fs/images/header.png differ
diff --git a/usr/local/www/themes/the_wall/all.css b/usr/local/www/themes/the_wall/all.css
index 60404d772..a7be28edb 100644
--- a/usr/local/www/themes/the_wall/all.css
+++ b/usr/local/www/themes/the_wall/all.css
@@ -149,9 +149,9 @@ body {
   background-color: #999999;
 }
 
-a:link{color: #660000;}
-a:visited{color: #660000;}
-a:active{color: #660000;}
+a:link{color: #000000;}
+a:visited{color: #000000;}
+a:active{color: #000000;}
 a:hover{color: #660000;}
 
 
diff --git a/usr/local/www/themes/the_wall/images/header.png b/usr/local/www/themes/the_wall/images/header.png
index 25b813c28..984819f72 100755
Binary files a/usr/local/www/themes/the_wall/images/header.png and b/usr/local/www/themes/the_wall/images/header.png differ
diff --git a/usr/local/www/wizards/setup_wizard.xml b/usr/local/www/wizards/setup_wizard.xml
index 2556a0544..055825068 100644
--- a/usr/local/www/wizards/setup_wizard.xml
+++ b/usr/local/www/wizards/setup_wizard.xml
@@ -53,7 +53,7 @@
 	<id>2</id>
 	<title>Bling your pfSense with pfSense Gold</title>
 	<disableheader>true</disableheader>
-	<description>Feel the power of a pfSense Gold subscription. Receive special benefits while supporting ongoing development of the Open Source pfSense project.&lt;br/&gt; &lt;br/&gt; Benefits include access to our AutoConfigBackup secure cloud based backup service for up to 10 hosts, pre-publication access to the updated pfSense: The Definitive Guide book in PDF, fully updated for the pfSense 2.1 release, and a monthly online MeetUp! Video conference to discuss and demonstrate advanced features and architectures using pfSense. &lt;br/&gt; &lt;br/&gt; Go to &lt;a href="https://portal.pfsense.org/gold-subscription.php" target="_blank"&gt; pfSense Gold Subscriptions&lt;/a&gt; to sign up now &lt;br/&gt; &lt;br/&gt; </description>
+	<description>Feel the power of a pfSense Gold subscription. Receive special benefits while supporting ongoing development of the Open Source pfSense project.&lt;br/&gt; &lt;br/&gt; Benefits include access to our AutoConfigBackup secure cloud based backup service for up to 10 hosts, pre-publication access to the updated pfSense: The Definitive Guide book in PDF, fully updated for the pfSense 2.1 release, and a monthly online MeetUp! Video conference to discuss and demonstrate advanced features and architectures using pfSense. &lt;br/&gt; &lt;br/&gt; Go to &lt;a href="https://www.pfsense.org/gold" target="_blank"&gt; pfSense Gold Subscriptions&lt;/a&gt; to sign up now &lt;br/&gt; &lt;br/&gt; </description>
 	<fields>
 		<field>
 			<name>Next</name>