commit 5785e1fd1a1ce52b4bdfc3911ae37498c1c80b44
Author: Guillaume Denis <gdenis@pole-numerique.fr>
Date:   Wed Mar 11 13:46:10 2015 +0100

    footer i18n

diff --git a/ckanext/ozwillo_theme/fanstatic/ozwillo.css b/ckanext/ozwillo_theme/fanstatic/ozwillo.css
index 5c9d2da..72fcbbe 100644
--- a/ckanext/ozwillo_theme/fanstatic/ozwillo.css
+++ b/ckanext/ozwillo_theme/fanstatic/ozwillo.css
@@ -121,6 +121,7 @@ footer .t3-footnav {
 
 footer #oz-footer-well {
   text-align: center;
+  color: #6f438e;
 }
 
 footer p {
@@ -128,6 +129,7 @@ footer p {
 }
 
 footer .navbar-nav.navbar-footer > li > a {
+  color: #555555;
   display: block;
   box-sizing: border-box;
   border-radius: 3px;
@@ -140,3 +142,11 @@ footer .navbar-nav.navbar-footer > li > a:hover {
   background: #efe4f0;
 }
 
+footer a.ext-twitter:after {
+  content: "";
+  display: inline-block;
+  margin-left: 4px;
+  width: 22px;
+  height: 18px;
+  background: url('/img/twitter.png') no-repeat top 3px left 0;
+}
diff --git a/ckanext/ozwillo_theme/public/img/twitter.png b/ckanext/ozwillo_theme/public/img/twitter.png
new file mode 100644
index 0000000..4ece678
Binary files /dev/null and b/ckanext/ozwillo_theme/public/img/twitter.png differ
diff --git a/ckanext/ozwillo_theme/templates/footer.html b/ckanext/ozwillo_theme/templates/footer.html
index 20023de..3b1389b 100644
--- a/ckanext/ozwillo_theme/templates/footer.html
+++ b/ckanext/ozwillo_theme/templates/footer.html
@@ -1,52 +1,44 @@
 {% set current_lang = request.environ.CKAN_LANG %}
 <footer id="t3-footer" class="wrap t3-footer">
-
 	<section class="t3-sitemap">
-					<!-- FOOT NAVIGATION -->
-			<div class="container">
-					<!-- SPOTLIGHT -->
-	<div class="t3-spotlight t3-footnav  row">
-		<div class=" col-lg-6 col-md-6 col-sm-3 col-xs-12">
-			<div id="oz-footer-well">
-			  <img src="/img/logo.png">
-			  <p>{% trans %}A platform of interactive services{% endtrans %}<br>
-			     {% trans %}for a common good of data{% endtrans %}
-			  </p>
-			  <p>
-				  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/CIP.png" alt="CIP"/></a>
-				  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/EU.png" alt="EU"/></a>
-				  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/PIA.png" alt="PIA"/></a>
-				  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/FR.png" alt="FR"/></a>
-				</p>
+		<div class="container">
+			<div class="t3-spotlight t3-footnav row">
+				<div class=" col-lg-6 col-md-6 col-sm-3 col-xs-12">
+					<div id="oz-footer-well">
+					  <img src="/img/logo.png">
+					  <p>{% trans %}Common goods factory{% endtrans %}</p>
+					  <p>
+						  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/CIP.png" alt="CIP"/></a>
+						  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/EU.png" alt="EU"/></a>
+						  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/PIA.png" alt="PIA"/></a>
+						  <a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects"><img src="/img/FR.png" alt="FR"/></a>
+						</p>
+					</div>
+				</div>
+				<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
+					<ul class="nav navbar-nav navbar-footer">
+						<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/news">{% trans %}News{% endtrans %}</a></li>
+						<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/discover">{% trans %}Discovering{% endtrans %}</a></li>
+						<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/co-construct">{% trans %}Co-construct{% endtrans %}</a></li>
+						<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/let-s-go">{% trans %}Let's go{% endtrans %}</a></li></ul>
+				</div>
+				<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
+					<ul class="nav navbar-nav navbar-footer">
+						<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/contact">{% trans %}Contact{% endtrans %}</a></li>
+						<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/l-equipe-projet-oasis">{% trans %}Project team{% endtrans %}</a></li>
+						<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects">{% trans %}Projects{% endtrans %}</a></li>
+						<li><a class="ext-twitter" href="https://twitter.com/ozwillo">@Ozwillo</a></li>
+					</ul>
+				</div>
+				<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
+					<ul class="nav navbar-nav navbar-footer">
+						<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/guide-utilisateur">{% trans %}User guide{% endtrans %}</a></li>
+						<li><a href="http://doc.ozwillo.com/">{% trans %}Developers{% endtrans %}</a></li>
+						<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/legal-notices">{% trans %}Legal Notices{% endtrans %}</a></li>
+						<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/terms">{% trans %}General terms of use{% endtrans %}</a></li>
+					</ul>
+				</div>
 			</div>
 		</div>
-		<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
-								<div class="t3-module module " id="Mod141"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-footer">
-<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/discover">{% trans %}Discovering{% endtrans %}</a></li>
-<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/news">{% trans %}News{% endtrans %}</a></li>
-<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/co-construct">{% trans %}Co-construct{% endtrans %}</a></li>
-<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/let-s-go">{% trans %}Let's go{% endtrans %}</a></li></ul>
-</div></div></div>
-							</div>
-					<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
-								<div class="t3-module module " id="Mod142"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-footer">
-<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/contact">{% trans %}Contact{% endtrans %}</a></li>
-<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/l-equipe-projet-oasis">{% trans %}Project team{% endtrans %}</a></li>
-<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/projects">{% trans %}Projects{% endtrans %}</a></li></ul>
-</div></div></div>
-							</div>
-					<div class=" col-lg-2 col-md-2 col-sm-3 col-xs-4">
-								<div class="t3-module module " id="Mod143"><div class="module-inner"><div class="module-ct"><ul class="nav navbar-nav navbar-footer">
-<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/guide-utilisateur">{% trans %}User guide{% endtrans %}</a></li>
-<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/terms">{% trans %}General terms of use{% endtrans %}</a></li>
-<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/legal-notices">{% trans %}Legal Notices{% endtrans %}</a></li>
-<li><a href="{{ g.ozwillo_url }}/{{current_lang}}/oz/co-construct">{% trans %}Governance{% endtrans %}</a></li></ul>
-</div></div></div>
-							</div>
-			</div>
-<!-- SPOTLIGHT -->			</div>
-			<!-- //FOOT NAVIGATION -->
-			</section>
-
-
+	</section>
 </footer>
diff --git a/i18n/bg/LC_MESSAGES/ckanext.po b/i18n/bg/LC_MESSAGES/ckanext.po
index 82d9b43..e844bd0 100644
--- a/i18n/bg/LC_MESSAGES/ckanext.po
+++ b/i18n/bg/LC_MESSAGES/ckanext.po
@@ -19,12 +19,8 @@ msgstr ""
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
-msgid "A platform of interactive services"
-msgstr ""
-
-#: ckanext/ozwillo_theme/templates/footer.html:15
-msgid "for a common good of data"
-msgstr ""
+msgid "Common goods factory"
+msgstr "Създател на общи ползи"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
@@ -115,6 +111,10 @@ msgstr "Правни бележки"
 msgid "Governance"
 msgstr ""
 
+#: ckanext/ozwillo_theme/templates/footer.html
+msgid "Developers"
+msgstr "Pазработчиците"
+
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
 "OASIS is a project cofunded by the EU under the Program for Competitiveness "
diff --git a/i18n/ca/LC_MESSAGES/ckanext.po b/i18n/ca/LC_MESSAGES/ckanext.po
index 776061e..d00b53e 100644
--- a/i18n/ca/LC_MESSAGES/ckanext.po
+++ b/i18n/ca/LC_MESSAGES/ckanext.po
@@ -19,12 +19,8 @@ msgstr ""
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
-msgid "A platform of interactive services"
-msgstr ""
-
-#: ckanext/ozwillo_theme/templates/footer.html:15
-msgid "for a common good of data"
-msgstr ""
+msgid "Common goods factory"
+msgstr "La fàbrica del bé comú digital"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
@@ -115,6 +111,10 @@ msgstr "Notes Legals"
 msgid "Governance"
 msgstr ""
 
+#: ckanext/ozwillo_theme/templates/footer.html
+msgid "Developers"
+msgstr "Desenvolupadors"
+
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
 "OASIS is a project cofunded by the EU under the Program for Competitiveness "
diff --git a/i18n/es/LC_MESSAGES/ckanext.po b/i18n/es/LC_MESSAGES/ckanext.po
index f37c950..15203d9 100644
--- a/i18n/es/LC_MESSAGES/ckanext.po
+++ b/i18n/es/LC_MESSAGES/ckanext.po
@@ -19,12 +19,8 @@ msgstr ""
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
-msgid "A platform of interactive services"
-msgstr ""
-
-#: ckanext/ozwillo_theme/templates/footer.html:15
-msgid "for a common good of data"
-msgstr ""
+msgid "Common goods factory"
+msgstr "La fábrica del bien común digital"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
@@ -115,6 +111,10 @@ msgstr "Notas legales"
 msgid "Governance"
 msgstr "Gobernanza"
 
+#: ckanext/ozwillo_theme/templates/footer.html
+msgid "Developers"
+msgstr "Desarrolladores"
+
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
 "OASIS is a project cofunded by the EU under the Program for Competitiveness "
diff --git a/i18n/fr/LC_MESSAGES/ckanext.po b/i18n/fr/LC_MESSAGES/ckanext.po
index 0db6a70..9d30a39 100644
--- a/i18n/fr/LC_MESSAGES/ckanext.po
+++ b/i18n/fr/LC_MESSAGES/ckanext.po
@@ -19,12 +19,8 @@ msgstr ""
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
-msgid "A platform of interactive services"
-msgstr "Une plateforme d'applications"
-
-#: ckanext/ozwillo_theme/templates/footer.html:15
-msgid "for a common good of data"
-msgstr "pour la création d'un bien commune de données"
+msgid "Common goods factory"
+msgstr "Fabrique de biens communs"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
@@ -115,6 +111,10 @@ msgstr "Mentions légales"
 msgid "Governance"
 msgstr "Gouvernance"
 
+#: ckanext/ozwillo_theme/templates/footer.html
+msgid "Developers"
+msgstr "Développeurs"
+
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
 "OASIS is a project cofunded by the EU under the Program for Competitiveness "
diff --git a/i18n/it/LC_MESSAGES/ckanext.po b/i18n/it/LC_MESSAGES/ckanext.po
index 15296ea..af73902 100644
--- a/i18n/it/LC_MESSAGES/ckanext.po
+++ b/i18n/it/LC_MESSAGES/ckanext.po
@@ -19,12 +19,8 @@ msgstr ""
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
-msgid "A platform of interactive services"
-msgstr ""
-
-#: ckanext/ozwillo_theme/templates/footer.html:15
-msgid "for a common good of data"
-msgstr ""
+msgid "Common goods factory"
+msgstr "Una fucina di beni comuni"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
@@ -115,6 +111,10 @@ msgstr "Avvisi legali"
 msgid "Governance"
 msgstr ""
 
+#: ckanext/ozwillo_theme/templates/footer.html
+msgid "Developers"
+msgstr "Sviluppatori"
+
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
 "OASIS is a project cofunded by the EU under the Program for Competitiveness "
diff --git a/i18n/tr/LC_MESSAGES/ckanext.po b/i18n/tr/LC_MESSAGES/ckanext.po
index d0d30ab..2f6139d 100644
--- a/i18n/tr/LC_MESSAGES/ckanext.po
+++ b/i18n/tr/LC_MESSAGES/ckanext.po
@@ -19,12 +19,8 @@ msgstr ""
 "Generated-By: Babel 0.9.6\n"
 
 #: ckanext/ozwillo_theme/templates/footer.html:14
-msgid "A platform of interactive services"
-msgstr ""
-
-#: ckanext/ozwillo_theme/templates/footer.html:15
-msgid "for a common good of data"
-msgstr ""
+msgid "Common goods factory"
+msgstr "Ortak fayda üretim merkezi"
 
 #: ckanext/ozwillo_theme/templates/footer.html:22
 msgid "/en/oz/discover"
@@ -115,6 +111,10 @@ msgstr "Yasal Uyarılar"
 msgid "Governance"
 msgstr ""
 
+#: ckanext/ozwillo_theme/templates/footer.html
+msgid "Developers"
+msgstr "Geliştiriciler"
+
 #: ckanext/ozwillo_theme/templates/footer.html:58
 msgid ""
 "OASIS is a project cofunded by the EU under the Program for Competitiveness "