commit f08353dfda33cdca338434ddd60d0ac9b6b2ef67
Author: Guillaume Denis <gdenis@pole-numerique.fr>
Date:   Wed Apr 1 15:50:42 2015 +0200

    css cleanup and responsive fixes

diff --git a/ckanext/ozwillo_theme/fanstatic/ozwillo.css b/ckanext/ozwillo_theme/fanstatic/ozwillo.css
index 78fed17..a0154cc 100644
--- a/ckanext/ozwillo_theme/fanstatic/ozwillo.css
+++ b/ckanext/ozwillo_theme/fanstatic/ozwillo.css
@@ -214,3 +214,54 @@ li.media-item {
         display: none;
     }
 }
+
+/* fix CKAN responsive issues */
+
+.homepage.layout-1 .row1 .col2, .homepage.layout-1 .row2 .col2 {
+  position: relative;
+}
+
+@media (min-width: 992px) {
+  .homepage.layout-1 .row1 .col2, .homepage.layout-1 .row2 .col2 {
+    float: right;
+  }
+}
+
+@media (max-width: 830px) {
+  .hidden-menu-table {
+    display: none !important;
+  }
+}
+
+@media (max-width: 767px) {
+  .module-content, .module-content:first-child, .module-content:last-child {
+    margin-bottom: 20px;
+  }
+}
+
+@media (min-width: 980px) and (min-width: 1199px) {
+  .primary.span12 {
+    width: 940px;
+  }
+}
+
+@media (min-width: 768px) and (max-width: 979px) {
+  .primary.span12 {
+    width: 724px;
+  }
+}
+
+@media (max-width: 767px) {
+  .primary.span12 {
+    width: 100%;
+  }
+}
+
+@media (max-width: 979px) {
+  aside.secondary {
+    display :none;
+  }
+  .row.wrapper {
+    background: #fff;
+  }
+}
\ No newline at end of file
diff --git a/ckanext/ozwillo_theme/fanstatic/plugins.system.t3.base-bs3.less.t3.less.css b/ckanext/ozwillo_theme/fanstatic/plugins.system.t3.base-bs3.less.t3.less.css
index cb1e327..91d55f7 100644
--- a/ckanext/ozwillo_theme/fanstatic/plugins.system.t3.base-bs3.less.t3.less.css
+++ b/ckanext/ozwillo_theme/fanstatic/plugins.system.t3.base-bs3.less.t3.less.css
@@ -1,4 +1,4 @@
-@media (max-width: 767px) {
+/*@media (max-width: 767px) {
   .always-show .mega > .mega-dropdown-menu,
   .always-show .dropdown-menu {
     display: block !important;
@@ -69,4 +69,4 @@
 .body-data-holder:before {
   display: none;
   content: "grid-float-breakpoint:768px screen-xs:480px screen-sm:768px screen-md:992px screen-lg:1200px";
-}
\ No newline at end of file
+}*/
\ No newline at end of file
diff --git a/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.bootstrap.less.css b/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.bootstrap.less.css
index dae8cc3..f062b8c 100644
--- a/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.bootstrap.less.css
+++ b/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.bootstrap.less.css
@@ -407,17 +407,6 @@ pre code {
   max-height: 340px;
   overflow-y: scroll;
 }
-.container {
-  margin-right: auto;
-  margin-left: auto;
-  padding-left: 15px;
-  padding-right: 15px;
-}
-@media (min-width: 768px) {
-  .container {
-    width: 750px;
-  }
-}
 @media (min-width: 992px) {
   .container {
     width: 970px;
@@ -434,10 +423,7 @@ pre code {
   padding-left: 15px;
   padding-right: 15px;
 }
-.row {
-  margin-left: -15px;
-  margin-right: -15px;
-}
+
 .col-xs-1, .col-sm-1, .col-md-1, .col-lg-1, .col-xs-2, .col-sm-2, .col-md-2, .col-lg-2, .col-xs-3, .col-sm-3, .col-md-3, .col-lg-3, .col-xs-4, .col-sm-4, .col-md-4, .col-lg-4, .col-xs-5, .col-sm-5, .col-md-5, .col-lg-5, .col-xs-6, .col-sm-6, .col-md-6, .col-lg-6, .col-xs-7, .col-sm-7, .col-md-7, .col-lg-7, .col-xs-8, .col-sm-8, .col-md-8, .col-lg-8, .col-xs-9, .col-sm-9, .col-md-9, .col-lg-9, .col-xs-10, .col-sm-10, .col-md-10, .col-lg-10, .col-xs-11, .col-sm-11, .col-md-11, .col-lg-11, .col-xs-12, .col-sm-12, .col-md-12, .col-lg-12 {
   position: relative;
   min-height: 1px;
diff --git a/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.components.less.css b/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.components.less.css
index e0667b9..b00e644 100644
--- a/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.components.less.css
+++ b/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.components.less.css
@@ -1,5 +1,4 @@
 .page-header {
-  padding-bottom: 10px;
   margin: 0 0 22px;
   border-bottom: 1px solid #eeeeee;
 }
diff --git a/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.themes.dark.template.less.css b/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.themes.dark.template.less.css
index 1b77d85..4933896 100644
--- a/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.themes.dark.template.less.css
+++ b/ckanext/ozwillo_theme/fanstatic/templates.t3_bs3_blank.less.themes.dark.template.less.css
@@ -47,39 +47,12 @@ p.large {
   font-weight: bold;
   margin-bottom: 4px;
 }
-.container.t3-mainbody {
-  margin-top: 50px;
-}
-.t3-mainnav {
-  border-width: 1px;
-  border-color: #ddd;
-  border-top: 0;
-}
 .navbar-nav.navbar-footer > li {
   float: none;
 }
 .navbar-nav.navbar-footer > li > a {
   padding: 0.2em;
 }
-.item-page {
-  margin-top: 49px;
-  text-align: justify;
-}
-.item-page h1,
-.item-page h2 {
-  margin: 30px 0;
-  text-align: center;
-}
-.item-page h3 {
-  font-size: 1em;
-  font-weight: bold;
-}
-.stripe-alt {
-  margin-bottom: -50px;
-}
-.btn-lg {
-  border-radius: 24px;
-}
 .nav select {
   color: #636884;
 }
@@ -100,8 +73,8 @@ p.large {
   background: #636884;
   color: #fff;
 }
-.navbar-lang {
-  margin-left: 20px;
+.navbar .navbar-lang {
+  margin-left: 10px;
 }
 .nav a.nav-apps:before {
   display: block;
@@ -115,196 +88,7 @@ p.large {
 .navbar-default .navbar-nav > .active > a.logo {
   background: #fff;
 }
-.mod-calendar ul.mod-calendar:before {
-  display: block;
-  content: "";
-  height: 110px;
-  background: url('/images/ui/calendar.png') no-repeat top center;
-}
-.mod-calendar ul.mod-calendar li a {
-  font-weight: bold;
-  text-transform: uppercase;
-}
-.mod-calendar ul.mod-calendar .mod-articles-category-readmore {
-  text-align: right;
-}
-.mod-calendar ul.mod-calendar .mod-articles-category-readmore a {
-  line-height: 40px;
-  color: #636884;
-  text-transform: uppercase;
-  font-weight: bold;
-}
-.mod-calendar ul.mod-calendar .mod-articles-category-readmore a:after {
-  vertical-align: -30%;
-  content: url('/images/ui/plus-40.png');
-}
-.blog .page-header {
-  border: 0;
-  text-align: center;
-}
-.blog h2.article-title {
-  display: inline;
-  font-size: 1em;
-  color: #636884;
-  text-transform: uppercase;
-  font-weight: bold;
-}
-.blog h2.article-title a:after {
-  content: ".";
-}
-.blog p {
-  display: inline;
-}
-.blog .article-intro img {
-  max-width: 120px;
-}
-.blog .readmore {
-  text-align: right;
-}
-.blog .readmore a {
-  line-height: 40px;
-  color: #636884;
-  text-transform: uppercase;
-  font-weight: bold;
-}
-.blog .readmore a:after {
-  vertical-align: -30%;
-  content: url('/images/ui/plus-40.png');
-}
-#article-home h1 {
-  font-family: "DINAlternate-Light";
-}
-#article-home h2 {
-  font-family: "Dunkin";
-  font-size: 26pt;
-}
-#article-home .stripe-main {
-  padding: 12px 0 0;
-  min-height: 680px;
-  color: #fff;
-  background: url('/images/home/sky.jpg');
-  background-color: #fff;
-  background-position: 50% 0%;
-  background-repeat: no-repeat;
-  background-size: cover;
-}
-#article-home .stripe-main .input-search .input-group-addon {
-  background: #fff;
-  color: #636884;
-  border-bottom-right-radius: 24px;
-  border-top-right-radius: 24px;
-}
-#article-home .stripe-main .input-search .input-group-btn button {
-  border-bottom-right-radius: 24px;
-  border-top-right-radius: 24px;
-}
-#article-home .stripe-main .input-search input {
-  border-left: 0;
-  border-right: 0;
-  border-bottom-left-radius: 24px;
-  border-top-left-radius: 24px;
-}
-#article-home .stripe-main #stripe-explore {
-  position: relative;
-}
-@media (min-width: 768px) {
-  #article-home .stripe-main #stripe-explore {
-    padding-top: 250px;
-  }
-}
-#article-home .stripe-main #stripe-explore #fg1 {
-  position: absolute;
-  top: 90px;
-  left: 50%;
-}
-#article-home .stripe-main #stripe-explore #fg1 .actor {
-  position: absolute;
-  top: 0;
-  left: -320px;
-  width: 565px;
-  height: 540px;
-  background: url('/images/home/fg1.png') no-repeat;
-}
-#article-home h1 {
-  margin-bottom: 50px;
-}
-#article-home h3 {
-  font-size: 1.8em;
-}
-[class^="stripe-"] {
-  padding: 20px 0;
-  color: #000;
-}
-.stripe-main-1 {
-  background: #eb6e67;
-  color: #fff;
-}
-.stripe-main-2 {
-  background: #6e418e;
-  color: #fff;
-}
-.stripe-main-3 {
-  background: #f4ada3;
-}
-.stripe-main-4 {
-  background: #d8735f;
-  color: #fff;
-}
-.stripe-main-5 {
-  background: #999999;
-  color: #fff;
-}
-.stripe-main-6 {
-  background: #e7e8ef;
-}
-.stripe-pro-1 {
-  background: #ee8100;
-}
-.stripe-pro-2 {
-  background: #f8bb79;
-}
-.stripe-pro-3 {
-  background: #fbd6af;
-}
-.stripe-pro-4 {
-  background: #fde7cf;
-}
-.stripe-dev-1 {
-  background: #007fc4;
-  color: #fff;
-}
-.stripe-dev-2 {
-  background: #8cadd7;
-}
-.stripe-dev-3 {
-  background: #bdcde7;
-}
-.stripe-dev-4 {
-  background: #d8e1f0;
-}
-.stripe-user-1 {
-  background: #91b732;
-}
-.stripe-user-2 {
-  background: #c1d389;
-}
-.stripe-user-3 {
-  background: #dbe5bb;
-}
-.stripe-user-4 {
-  background: #eaefd7;
-}
-.stripe-light {
-  font-size: 1.4em;
-  padding: 20px 0;
-}
-.stripe-light p {
-  margin: 0;
-}
-.stripe-alt {
-  font-size: 1.4em;
-  background: #E1E3ED;
-}
+
 .t3-sitemap {
   background: #DFCAE2;
 }